/**
 * @license
 * Copyright 2023 Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { BaseComponent, IBaseComponent } from '../../core/base/base-component';
export interface IStepComponent extends IBaseComponent {
    index: number;
    editable: boolean;
    completed: boolean;
    error: boolean;
    selected: boolean;
    alternative: boolean;
    disabled: boolean;
    vertical: boolean;
    expanded: boolean;
    ignoreUserExpansion: boolean;
    setStepTabIndex(index: number): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'forge-step': IStepComponent;
    }
    interface HTMLElementEventMap {
        'forge-step-selected': CustomEvent<number>;
        'forge-step-expanded-content-focusin': CustomEvent<IStepComponent>;
        'forge-step-expanded-content-focusout': CustomEvent<IStepComponent>;
    }
}
/**
 * The web component class behind the `<forge-step>` custom element.
 *
 * @tag forge-step
 */
export declare class StepComponent extends BaseComponent implements IStepComponent {
    static get observedAttributes(): string[];
    private _foundation;
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    attributeChangedCallback(name: string, oldValue: string, newValue: string): void;
    alternative: boolean;
    index: number;
    editable: boolean;
    completed: boolean;
    error: boolean;
    selected: boolean;
    disabled: boolean;
    vertical: boolean;
    expanded: boolean;
    ignoreUserExpansion: boolean;
    focus(): void;
    setStepTabIndex(index: number): void;
}
